{
    "$schema": "http://json-schema.org/draft-07/schema#",
    "type": "object",
    "required": [
        "imageFilename",
        "imageCredits",
        "displayName",
        "dayImageList",
        "nightImageList"
    ],
    "properties": {
        "imageFilename": {
            "type": "string"
        },
        "imageCredits": {
            "type": "string"
        },
        "displayName": {
            "type": "string"
        },
        "dayHighlight": {
            "type": "integer",
            "minimum": 0
        },
        "nightHighlight": {
            "type": "integer",
            "minimum": 0
        },
        "sunriseImageList": {
            "type": "array",
            "minItems": 0,
            "uniqueItems": true,
            "items": {
                "type": "integer",
                "minimum": 0
            }
        },
        "dayImageList": {
            "type": "array",
            "minItems": 0,
            "uniqueItems": true,
            "items": {
                "type": "integer",
                "minimum": 0
            }
        },
        "sunsetImageList": {
            "type": "array",
            "minItems": 0,
            "uniqueItems": true,
            "items": {
                "type": "integer",
                "minimum": 0
            }
        },
        "nightImageList": {
            "type": "array",
            "minItems": 0,
            "uniqueItems": true,
            "items": {
                "type": "integer",
                "minimum": 0
            }
        }
    },
    "errorMessage": {
        "required": {
            "imageFilename": "The ‘imageFilename’ property is missing.",
            "imageCredits": "The ‘imageCredits’ property is missing.",
            "displayName": "The ‘displayName’ property is missing.",
            "dayImageList": "The ‘dayImageList’ property is missing.",
            "nightImageList": "The ‘nightImageList’ property is missing."
        },
        "properties": {
            "imageFilename": "The ‘imageFilename’ property must be of type ‘string’.",
            "imageCredits": "The ‘imageCredits’ property must be of type ‘string’.",
            "displayName": "The ‘displayName’ property must be of type ‘string’.",
            "dayHighlight": "The ‘dayHighlight’ property must be a counting number.",
            "nightHighlight": "The ‘nightHighlight’ property must be a counting number.",
            "sunriseImageList": "The ‘sunriseImageList’ property must be a list of counting numbers.",
            "dayImageList": "The ‘dayImageList’ property must be a list of counting numbers.",
            "sunsetImageList": "The ‘sunsetImageList’ property must be a list of counting numbers.",
            "nightImageList": "The ‘nightImageList’ property must be a list of counting numbers."
        }
    }
}